summaryrefslogtreecommitdiffstats
path: root/squid/entrypoint.sh
diff options
context:
space:
mode:
authorCorentin LABBE <clabbe@baylibre.com>2017-10-27 10:35:20 +0200
committerCorentin LABBE <clabbe@baylibre.com>2017-10-27 10:35:20 +0200
commit09e2ea04485476093b97277cf4bf445052f4ba1b (patch)
tree01c4310dd22d3ef9a3a19c719de07aecb0015778 /squid/entrypoint.sh
parent1ba87d4097e4da3977f53ffd4fe808a3b0ec2c72 (diff)
Add squid for caching LAVA downloads
Diffstat (limited to 'squid/entrypoint.sh')
-rw-r--r--squid/entrypoint.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/squid/entrypoint.sh b/squid/entrypoint.sh
new file mode 100644
index 0000000..560d206
--- /dev/null
+++ b/squid/entrypoint.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+# Create cache FS
+if [ ! -e /var/spool/squid/00 ];then
+ squid -z || exit $?
+fi
+/usr/sbin/squid -NYC -f /etc/squid/squid.conf || exit $?